This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1283797 - [abrt] PackageKit: unchecked_decompress_buf(): packagekitd killed by SIGSEGV
[abrt] PackageKit: unchecked_decompress_buf(): packagekitd killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:03aa60b7051cbaaa383097f7718...
:
: 1312914 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-19 17:33 EST by Bojan Smojver
Modified: 2016-12-20 11:07 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:07:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (62.49 KB, text/plain)
2015-11-19 17:33 EST, Bojan Smojver
no flags Details
File: cgroup (200 bytes, text/plain)
2015-11-19 17:33 EST, Bojan Smojver
no flags Details
File: core_backtrace (15.39 KB, text/plain)
2015-11-19 17:33 EST, Bojan Smojver
no flags Details
File: dso_list (7.77 KB, text/plain)
2015-11-19 17:34 EST, Bojan Smojver
no flags Details
File: environ (120 bytes, text/plain)
2015-11-19 17:34 EST, Bojan Smojver
no flags Details
File: exploitable (82 bytes, text/plain)
2015-11-19 17:34 EST, Bojan Smojver
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-19 17:34 EST, Bojan Smojver
no flags Details
File: maps (36.66 KB, text/plain)
2015-11-19 17:34 EST, Bojan Smojver
no flags Details
File: mountinfo (3.93 KB, text/plain)
2015-11-19 17:34 EST, Bojan Smojver
no flags Details
File: namespaces (85 bytes, text/plain)
2015-11-19 17:34 EST, Bojan Smojver
no flags Details
File: open_fds (4.92 KB, text/plain)
2015-11-19 17:34 EST, Bojan Smojver
no flags Details
File: proc_pid_status (980 bytes, text/plain)
2015-11-19 17:34 EST, Bojan Smojver
no flags Details
File: var_log_messages (3.81 KB, text/plain)
2015-11-19 17:34 EST, Bojan Smojver
no flags Details

  None (edit)
Description Bojan Smojver 2015-11-19 17:33:49 EST
Version-Release number of selected component:
PackageKit-1.0.10-2.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/libexec/packagekitd
crash_function: unchecked_decompress_buf
executable:     /usr/libexec/packagekitd
global_pid:     1818
kernel:         4.2.6-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 unchecked_decompress_buf at /usr/src/debug/python3-libsolv-0.6.14-2.fc23/src/repopage.c:541
 #1 repopagestore_load_page_range at /usr/src/debug/python3-libsolv-0.6.14-2.fc23/src/repopage.c:716
 #2 get_vertical_data at /usr/src/debug/python3-libsolv-0.6.14-2.fc23/src/repodata.c:491
 #3 get_data at /usr/src/debug/python3-libsolv-0.6.14-2.fc23/src/repodata.c:518
 #4 find_key_data at /usr/src/debug/python3-libsolv-0.6.14-2.fc23/src/repodata.c:628
 #5 repodata_lookup_str at /usr/src/debug/python3-libsolv-0.6.14-2.fc23/src/repodata.c:671
 #6 repo_lookup_str at /usr/src/debug/python3-libsolv-0.6.14-2.fc23/src/repo.c:1167
 #7 solvable_lookup_str at /usr/src/debug/python3-libsolv-0.6.14-2.fc23/src/solvable.c:128
 #8 hy_package_get_description at /usr/src/debug/hawkey-0.6.2/py3/src/package.c:291
 #9 hif_package_get_description at hif-package.c:309

Potential duplicate: bug 1177452
Comment 1 Bojan Smojver 2015-11-19 17:33:55 EST
Created attachment 1096938 [details]
File: backtrace
Comment 2 Bojan Smojver 2015-11-19 17:33:57 EST
Created attachment 1096939 [details]
File: cgroup
Comment 3 Bojan Smojver 2015-11-19 17:33:59 EST
Created attachment 1096940 [details]
File: core_backtrace
Comment 4 Bojan Smojver 2015-11-19 17:34:01 EST
Created attachment 1096941 [details]
File: dso_list
Comment 5 Bojan Smojver 2015-11-19 17:34:02 EST
Created attachment 1096942 [details]
File: environ
Comment 6 Bojan Smojver 2015-11-19 17:34:04 EST
Created attachment 1096943 [details]
File: exploitable
Comment 7 Bojan Smojver 2015-11-19 17:34:05 EST
Created attachment 1096944 [details]
File: limits
Comment 8 Bojan Smojver 2015-11-19 17:34:07 EST
Created attachment 1096945 [details]
File: maps
Comment 9 Bojan Smojver 2015-11-19 17:34:09 EST
Created attachment 1096946 [details]
File: mountinfo
Comment 10 Bojan Smojver 2015-11-19 17:34:10 EST
Created attachment 1096947 [details]
File: namespaces
Comment 11 Bojan Smojver 2015-11-19 17:34:12 EST
Created attachment 1096948 [details]
File: open_fds
Comment 12 Bojan Smojver 2015-11-19 17:34:13 EST
Created attachment 1096949 [details]
File: proc_pid_status
Comment 13 Bojan Smojver 2015-11-19 17:34:15 EST
Created attachment 1096950 [details]
File: var_log_messages
Comment 14 Z Jonsson 2016-01-18 05:01:09 EST
Another user experienced a similar problem:

This has been happening for a long time.  At least since my upgrade from Fedora 21 to 22.  No amount of googling has provided any ideas about how to fix it.  Curiously I just did a fresh install of Fedora 23 (except I re-used the /home partition) and the problem persists.  Makes me suspect that it has something to do with the user profile.




reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/libexec/packagekitd
crash_function: unchecked_decompress_buf
executable:     /usr/libexec/packagekitd
global_pid:     10498
kernel:         4.3.3-300.fc23.x86_64
package:        PackageKit-1.0.11-1.fc23
reason:         packagekitd killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            0
Comment 15 Jonathan Bither 2016-02-29 09:09:17 EST
*** Bug 1312914 has been marked as a duplicate of this bug. ***
Comment 16 Fedora End Of Life 2016-11-24 08:35:50 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2016-12-20 11:07:03 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.